<%@page import="com.soarwell.weixin.*"%>
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%
  //验证后，正式使用时启动
  String echostr = request.getParameter("echostr");
  if(null==echostr||echostr.isEmpty()){
	//处理微信服务器发来的消息
	// 将请求、响应的编码均设置为UTF-8（防止中文乱码）
	request.setCharacterEncoding("UTF-8");
	response.setCharacterEncoding("UTF-8");	
	
	// 调用核心业务类接收消息、处理消息
	String respMessage = CoreService.processRequest(request);
	out.println(respMessage);
  } else {
	// 微信加密签名
	String signature = request.getParameter("signature");
	// 时间戳
	String timestamp = request.getParameter("timestamp");
	// 随机数
	String nonce = request.getParameter("nonce");
	if (SignUtil.checkSignature(signature, timestamp, nonce)) {
		out.print(echostr);
	}	
  }

%>
<%
	//验证时，直接out.print。
	//out.print(request.getParameter("echostr"));  
%>
